#ifndef UDPLOGGER_H
#define UDPLOGGER_H
#include <sockLib.h>
#include <netinet/in.h>


class UDPLogger {
public:
	UDPLogger();
	~UDPLogger();
	
	void init(int port);
	void log(const char *fmt, ...);
private:
#define UDPLOGGER_BUFSIZE 65536
	char buf[UDPLOGGER_BUFSIZE];
	int fd;
	struct sockaddr_in saddr;
};


#endif
